+++ /dev/null
-#!/bin/bash
-HOST=localhost
-PORT=8080
-curl http://$HOST:$PORT/solr/update -H "Content-Type: text/xml" --data-binary '<commit waitFlush="false" waitSearcher="false" expungeDeletes="true"/>'
\ No newline at end of file
+++ /dev/null
-#!/bin/bash
-
-if [ "$1" == "" ] ; then
- echo "$0 databaseid [HOST:PORT] "
- exit 1 ;
-fi
-HOSTPORT="localhost:8080"
-
-if [ "$2" != "" ] ; then
- HOSTPORT="$2"
-fi
-
-curl http://${HOSTPORT}/solr/update -H "Content-Type: text/xml" --data-binary "<delete><query>database:$1</query></delete>"
-curl http://${HOSTPORT}/solr/update -H "Content-Type: text/xml" --data-binary '<commit waitFlush="false" waitSearcher="false"/>'
+++ /dev/null
-#!/bin/bash
-
-if [ "$1" != "YES" ] ; then
- echo "No confirmation given"
- exit 1 ;
-fi
-
-HOST_PORT=localhost:8080
-
-if [ "$2" != "" ] ; then
- HOST_PORT="$2"
-fi
-
-curl http://${HOST_PORT}/solr/update -H "Content-Type: text/xml" --data-binary '<optimize waitSearcher="false" expungeDeletes="true" />'
--- /dev/null
+#!/bin/bash
+HOST=localhost
+PORT=8080
+curl http://$HOST:$PORT/solr/update -H "Content-Type: text/xml" --data-binary '<commit waitFlush="false" waitSearcher="false" expungeDeletes="true"/>'
\ No newline at end of file
--- /dev/null
+#!/bin/bash
+
+if [ "$1" == "" ] ; then
+ echo "$0 databaseid [HOST:PORT] "
+ exit 1 ;
+fi
+HOSTPORT="localhost:8080"
+
+if [ "$2" != "" ] ; then
+ HOSTPORT="$2"
+fi
+
+curl http://${HOSTPORT}/solr/update -H "Content-Type: text/xml" --data-binary "<delete><query>database:$1</query></delete>"
+curl http://${HOSTPORT}/solr/update -H "Content-Type: text/xml" --data-binary '<commit waitFlush="false" waitSearcher="false"/>'
--- /dev/null
+#!/bin/bash
+
+if [ "$1" != "YES" ] ; then
+ echo "No confirmation given"
+ exit 1 ;
+fi
+
+HOST_PORT=localhost:8080
+
+if [ "$2" != "" ] ; then
+ HOST_PORT="$2"
+fi
+
+curl http://${HOST_PORT}/solr/update -H "Content-Type: text/xml" --data-binary '<optimize waitSearcher="false" expungeDeletes="true" />'